package com.shkj.common.core.domain;

import java.io.Serializable;
import java.util.List;

/**
 * Treeselect树结构实体类
 *
 * @author lch
 */
public class TreeBranchSelect implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private String id;

    /** 节点名称 */
    private String label;

    /** 子节点 */
//    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<TreeBranchSelect> children;

    public TreeBranchSelect()
    {

    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public List<TreeBranchSelect> getChildren() {
        return children;
    }

    public void setChildren(List<TreeBranchSelect> children) {
        this.children = children;
    }
}
